// DumpMeshTEP.h: interface for the CDumpMeshTEP class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DUMPMESHTEP_H__EF118549_125C_42B8_A838_720C26B7D8CD__INCLUDED_)
#define AFX_DUMPMESHTEP_H__EF118549_125C_42B8_A838_720C26B7D8CD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MAXSDK.h"

class CDumpMeshTEP : public ITreeEnumProc  
{
public:
	Modifier*			m_phyMod;
	IPhysiqueExport*	m_phyExport;
	IPhyContextExport*	m_mcExport;
	
public:
	CDumpMeshTEP();
	virtual ~CDumpMeshTEP();

	int callback(INode* lpNode);

	void cleanup();

protected:
	Point3 Pt3GetRVertexNormal(RVertex* lpRVertex, DWORD smGroupFace);
	BOOL TMNegParity(Matrix3 &m);
	int InodeOfPhyVectex(int nVertex);
};

#endif // !defined(AFX_DUMPMESHTEP_H__EF118549_125C_42B8_A838_720C26B7D8CD__INCLUDED_)
